Loading...
Searching...
No Matches
libdar::database_archives Class Reference
API

datastructure managing a member of the list of archives used by a database More...

`#include <database_archives.hpp>`

## Public Member Functions

| database_archives (const database_archives &ref)=default
| database_archives (database_archives &&ref) noexcept=default
database_archives & | operator= (const database_archives &ref)=default
database_archives & | operator= (database_archives &&ref) noexcept=default
void | set_path (const std::string &val)
void | set_basename (const std::string &val)
const std::string & | get_path () const
| this provides the path where is located this archive
const std::string & | get_basename () const
| this provides the basename of the archive

## Private Attributes

std::string | chemin
std::string | base

## Detailed Description

datastructure managing a member of the list of archives used by a database

only two methods are useful from API point of view

- get_path()
- get_basename()

Definition at line 48 of file database_archives.hpp.

## Constructor & Destructor Documentation

## database_archives()

libdar::database_archives::database_archives | ( |  | ) |

inline

Definition at line 51 of file database_archives.hpp.

## Member Function Documentation

## get_basename()

const std::string & libdar::database_archives::get_basename | ( |  | ) | const

inline

this provides the basename of the archive

Definition at line 65 of file database_archives.hpp.

## get_path()

const std::string & libdar::database_archives::get_path | ( |  | ) | const

inline

this provides the path where is located this archive

Definition at line 62 of file database_archives.hpp.

## set_basename()

void libdar::database_archives::set_basename | ( | const std::string & | val | ) |

inline

Definition at line 59 of file database_archives.hpp.

## set_path()

void libdar::database_archives::set_path | ( | const std::string & | val | ) |

inline

Definition at line 58 of file database_archives.hpp.

## Member Data Documentation

## base

std::string libdar::database_archives::base

private

Definition at line 69 of file database_archives.hpp.

## chemin

std::string libdar::database_archives::chemin

private

Definition at line 68 of file database_archives.hpp.

The documentation for this class was generated from the following file:

- database_archives.hpp